TICKIT_UTF8_SEQLEN(3)

NAME
tickit_utf8_seqlen - determine the length of a UTF-8 codepoint encoding

SYNOPSIS
    #include <tickit.h>

    int tickit_utf8_seqlen(long codepoint);

Link with -ltickit.

DESCRIPTION
tickit_utf8_seqlen() determines the number of bytes required in the UTF-8 encoding of the given codepoint and returns it.

RETURN VALUE
tickit_utf8_seqlen() returns a byte count.

SEE ALSO
tickit_utf8_put(3), tickit(7)